
CoCoALib - Support #696

test-OrderedRing: activate or eliminate?

08 May 2015 11:39 - John Abbott

Status: Closed Start date: 08 May 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Safety Estimated time: 3.01 hours

Target version: CoCoALib-0.99550 spring 2017 Spent time: 3.20 hours

Description

There is a file test-OrderedRing1.C which is not actually executed.

Either fix it so that it works (currently fails with InsufficientPrecision) and ensure that it is called, or eliminate it.

Related issues:

Related to CoCoALib - Support #695: Remove cruft from test files New 08 May 2015

Related to CoCoALib - Bug #853: NearestInt can needlessly throw InsufficientP... Closed 23 Mar 2016

Related to CoCoA-5 - Feature #857: floor, ceil, and NearestInt for RingElem i... New 25 Mar 2016

History

#1 - 08 May 2015 11:40 - John Abbott

- Subject changed from test-OrderingRing: activate or eliminate? to test-OrderedRing: activate or eliminate?

#2 - 22 Mar 2016 18:19 - Anna Maria Bigatti

I don't see it in cvs.

#3 - 23 Mar 2016 11:07 - John Abbott

- Assignee set to John Abbott

I'll try to fix it and add it to CVS.

#4 - 23 Mar 2016 15:18 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-0.99550 spring 2017

#5 - 23 Mar 2016 16:53 - John Abbott

- Related to Bug #853: NearestInt can needlessly throw InsufficientPrecision added

#6 - 23 Mar 2016 16:54 - John Abbott

Well, this test is worthwhile: it has found a bug in the impl of NearestInt (see #853).

#7 - 25 Mar 2016 22:07 - John Abbott

I have now checked in 2 new tests for ordered domains: test-OrderedDomain1 and test-OrderedDomain2.  The first test is for ZZ and QQ, while the

second is for twin-floats.  The tests are very similar, but the twin-float version must handle InsuffPrec.

#8 - 25 Mar 2016 22:08 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

The tests pass, of course.
https://cocoa.dima.unige.it/redmine/issues/853


#9 - 25 Mar 2016 22:44 - John Abbott

- Related to Feature #857: floor, ceil, and NearestInt for RingElem in CoCoA-5? added

#10 - 25 Jun 2016 12:21 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#11 - 28 Apr 2017 09:33 - Anna Maria Bigatti

- Estimated time set to 3.01 h
